This is a read-only archive. Find the latest Linux articles, documentation, and answers at the new Linux.com!

Linux.com

SimplyMEPIS 7.0 is a keeper

Posted by: Anonymous [ip: 62.174.233.85] on January 20, 2008 09:51 PM
Yes, MEPIS is fully compatible with Debian Etch. It has its own repositories as well, that hold KDE 3.5.8, OpenOffice 2.3, Amarok 1.4.7, new versions of Digikam, Gwenview, MEPIS 2.6.22 kernel, FF 2.0.0.11, Thunderbird 2.0.0.9, etc etc. A community repository is available as well, that will act as a mirror to the MEPIS repos and will offer extra packages as well.
Just try it out for yourself.

#

Return to SimplyMEPIS 7.0 is a keeper